searchNodes=[{"ref":"Membrane.Element.RTP.H264.Depayloader.html","title":"Membrane.Element.RTP.H264.Depayloader","type":"module","doc":"Depayloads H264 RTP payloads into H264 NAL Units. Pads :input Availability:always CapsMembrane.Caps.RTP, restrictions:&nbsp;&nbsp;payload_type: :dynamic Demand&nbsp;unit:buffers Direction:input Mode:pull :output Availability:always CapsMembrane.Caps.Video.H264, restrictions:&nbsp;&nbsp;stream_format: :byte_stream Direction:output Mode:pull"},{"ref":"Membrane.Element.RTP.H264.Depayloader.html#membrane_pads/0","title":"Membrane.Element.RTP.H264.Depayloader.membrane_pads/0","type":"function","doc":"Returns pads descriptions for Membrane.Element.RTP.H264.Depayloader"},{"ref":"Membrane.Element.RTP.H264.Depayloader.html#t:sequence_number/0","title":"Membrane.Element.RTP.H264.Depayloader.sequence_number/0","type":"type","doc":""},{"ref":"Membrane.Element.RTP.H264.FU.html","title":"Membrane.Element.RTP.H264.FU","type":"module","doc":"Module responsible for parsing H264 Fragmentation Unit."},{"ref":"Membrane.Element.RTP.H264.FU.html#parse/3","title":"Membrane.Element.RTP.H264.FU.parse/3","type":"function","doc":"Parses H264 Fragmentation Unit If a packet that is being parsed is not considered last then a {:incomplete, t()} tuple will be returned. In case of last packet {:ok, {type, data}} tuple will be returned, where data is NAL Unit created by concatenating subsequent Fragmentation Units."},{"ref":"Membrane.Element.RTP.H264.FU.html#t:t/0","title":"Membrane.Element.RTP.H264.FU.t/0","type":"type","doc":""},{"ref":"Membrane.Element.RTP.H264.FU.Header.html","title":"Membrane.Element.RTP.H264.FU.Header","type":"module","doc":"Defines a structure representing Fragmentation Unit (FU) header which is defined in RFC6184 +---------------+ |0|1|2|3|4|5|6|7| +-+-+-+-+-+-+-+-+ |S|E|R| Type | +---------------+"},{"ref":"Membrane.Element.RTP.H264.FU.Header.html#parse/1","title":"Membrane.Element.RTP.H264.FU.Header.parse/1","type":"function","doc":"Parses Fragmentation Unit Header It will fail if the Start bit and End bit are both set to one in the same Fragmentation Unit Header, because a fragmented NAL unit MUST NOT be transmitted in one FU."},{"ref":"Membrane.Element.RTP.H264.FU.Header.html#t:end_flag/0","title":"Membrane.Element.RTP.H264.FU.Header.end_flag/0","type":"type","doc":"MUST be set to true only in the last packet in a sequence."},{"ref":"Membrane.Element.RTP.H264.FU.Header.html#t:start_flag/0","title":"Membrane.Element.RTP.H264.FU.Header.start_flag/0","type":"type","doc":"MUST be set to true only in the first packet in a sequence."},{"ref":"Membrane.Element.RTP.H264.FU.Header.html#t:t/0","title":"Membrane.Element.RTP.H264.FU.Header.t/0","type":"type","doc":""},{"ref":"Membrane.Element.RTP.H264.NAL.Header.html","title":"Membrane.Element.RTP.H264.NAL.Header","type":"module","doc":"Defines a structure representing Network Abstraction Layer Unit Header Defined in RFC6184 +---------------+ |0|1|2|3|4|5|6|7| +-+-+-+-+-+-+-+-+ |F|NRI| Type | +---------------+"},{"ref":"Membrane.Element.RTP.H264.NAL.Header.html#decode_type/1","title":"Membrane.Element.RTP.H264.NAL.Header.decode_type/1","type":"function","doc":"Parses type stored in NAL Header"},{"ref":"Membrane.Element.RTP.H264.NAL.Header.html#parse_unit_header/1","title":"Membrane.Element.RTP.H264.NAL.Header.parse_unit_header/1","type":"function","doc":""},{"ref":"Membrane.Element.RTP.H264.NAL.Header.html#t:nri/0","title":"Membrane.Element.RTP.H264.NAL.Header.nri/0","type":"type","doc":"NRI stands for nal_ref_idc. This value represents importance of frame that is being parsed. The higher the value the more important frame is (for example key frames have nri value of 3) and a value of 00 indicates that the content of the NAL unit is not used to reconstruct reference pictures for inter picture prediction. NAL units with NRI equal 0 can be discarded without risking the integrity of the reference pictures, although these payloads might contain metadata."},{"ref":"Membrane.Element.RTP.H264.NAL.Header.html#t:supported_types/0","title":"Membrane.Element.RTP.H264.NAL.Header.supported_types/0","type":"type","doc":""},{"ref":"Membrane.Element.RTP.H264.NAL.Header.html#t:t/0","title":"Membrane.Element.RTP.H264.NAL.Header.t/0","type":"type","doc":""},{"ref":"Membrane.Element.RTP.H264.NAL.Header.html#t:type/0","title":"Membrane.Element.RTP.H264.NAL.Header.type/0","type":"type","doc":"Specifies the type of RBSP data structure contained in the NAL unit. Types are defined as follows. IDRBSP Type 0Unspecified 1-23NAL unit types 24STAP-A 25STAP-B 26MTAP-16 27MTAP-24 28FU-A 29FU-B Reserved30-31 RBSP stands for Raw Byte Sequence Payload RBSP types are described in detail here"},{"ref":"Membrane.Element.RTP.H264.NAL.Header.html#t:types/0","title":"Membrane.Element.RTP.H264.NAL.Header.types/0","type":"type","doc":""},{"ref":"Membrane.Element.RTP.H264.NAL.Header.html#t:unsupported_types/0","title":"Membrane.Element.RTP.H264.NAL.Header.unsupported_types/0","type":"type","doc":""},{"ref":"Membrane.Element.RTP.H264.StapA.html","title":"Membrane.Element.RTP.H264.StapA","type":"module","doc":"Module responsible for parsing Single Time Agregation Packets type A. Documented in RFC6184 0 1 2 3 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ | RTP Header | +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ |STAP-A NAL HDR | NALU 1 Size | NALU 1 HDR | +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ | NALU 1 Data | : : + +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ | | NALU 2 Size | NALU 2 HDR | +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ | NALU 2 Data | : : | +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ | :...OPTIONAL RTP padding | +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+"},{"ref":"Membrane.Element.RTP.H264.StapA.html#parse/1","title":"Membrane.Element.RTP.H264.StapA.parse/1","type":"function","doc":"Parses a STAP type A"},{"ref":"readme.html","title":"Membrane Multimedia Framework: RTP H264","type":"extras","doc":"Membrane Multimedia Framework: RTP H264 This package provides elements that can be used for depayloading H.264 video. It is part of Membrane Multimedia Framework."},{"ref":"readme.html#supported-packetization-modes","title":"Membrane Multimedia Framework: RTP H264 - Supported packetization modes","type":"extras","doc":"This package currently supports only Single Nal Unit Mode and Non-Interleaved packetization modes. Interleaved mode is not currently supported."},{"ref":"readme.html#abbreviations","title":"Membrane Multimedia Framework: RTP H264 - Abbreviations","type":"extras","doc":"DON: Decoding Order Number DONB: Decoding Order Number Base DOND: Decoding Order Number Difference FEC: Forward Error Correction FU: Fragmentation Unit IDR: Instantaneous Decoding Refresh IEC: International Electrotechnical Commission ISO: International Organization for Standardization ITU-T: International Telecommunication Union, Telecommunication Standardization Sector MANE: Media-Aware Network Element MTAP: Multi-Time Aggregation Packet MTAP16: MTAP with 16-bit timestamp offset MTAP24: MTAP with 24-bit timestamp offset NAL: Network Abstraction Layer NALU: NAL Unit SAR: Sample Aspect Ratio SEI: Supplemental Enhancement Information STAP: Single-Time Aggregation Packet STAP-A: STAP type A STAP-B: STAP type B TS: Timestamp VCL: Video Coding Layer VUI: Video Usability Information"},{"ref":"readme.html#installation","title":"Membrane Multimedia Framework: RTP H264 - Installation","type":"extras","doc":"The package can be installed by adding membrane_element_rtp_h264 to your list of dependencies in mix.exs: def deps do [ {:membrane_element_rtp_h264, &quot;~&gt; 0.1.0&quot;} ] end The docs can be found at HexDocs."},{"ref":"readme.html#copyright-and-license","title":"Membrane Multimedia Framework: RTP H264 - Copyright and License","type":"extras","doc":"Copyright 2019, Software Mansion Licensed under the Apache License, Version 2.0"}]